<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Type:  Ratings Infusion
| Name: Dynamic Star Ratings
| Version: 1.00
| File Name: rating_functions.php
| Author: Fangree Productions
| Site: http://www.fangree.co.uk
| Contact: admin@fangree.co.uk
| Developers: Fangree_Craig, Keddy & SiteMaster
+--------------------------------------------------------+
| Dynamic Star Rating Redux
| Developed by Jordan Boesch
| www.boedesign.com
| Licensed under Creative Commons - http://creativecommons.org/licenses/by-nc-nd/2.5/ca/
| Used CSS from komodomedia.com.
--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."ratings.php";

function rating($id, $type) {
	global $locale;
	
	$wynik = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_item_id='".$id."'");
	$info = dbresult($wynik,0);
	$num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_item_id='".$id."'");
	$wyn_rating = ($num_rating ? $info / $num_rating : 0);
	
	if ($wyn_rating > 0) {
		$text = ceil($wyn_rating)." ".$locale['r136']." <img src='".INCLUDES."downloads_includes/ratings/images/".ceil($wyn_rating).".gif' alt='".$locale['r130'].ceil($wyn_rating)."' title='".$locale['r130'].ceil($wyn_rating)."' style='vertical-align:middle; border: 0;' />\n";
	} else {
		$text = "0 Ratings";
	}
	
	return $text;
}

function getRating($id, $rtype) {
	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '$id' AND rating_type = '".$rtype."'");
	
	if(dbrows($sel) != 0){
		while($data = dbarray($sel)) {
			$total = $total + $data['rating_vote'];
			$rows++;
		}
		
		$perc = ($total/$rows) * 20;
		$newPerc = round($perc,2);
		return $newPerc.'%';
	} else {
		return '0%';
	}
	return '0%';
}

function outOfFive($id, $rtype) {
	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '".$id."' AND rating_type = '".$rtype."'");
	
	if(dbrows($sel) != 0) {
		while($data = dbarray($sel)){
			$total = $total + $data['rating_vote'];
			$rows++;
		}
		
		$perc = ($total/$rows);
		return round($perc,2);
	} else {
		return '0';
	}
	return '0';
}

function getVotes($id, $rtype){
	global $locale;
	
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '$id' AND rating_type = '".$rtype."'");
	$rows = dbrows($sel);
	
	if ($rows == 0) {
		$votes = "0 ".$locale['r132']."";
	} else if($rows == 1) {
		$votes = "1 ".$locale['r133']."";
	} else if($rows > 1 && $rows < 5) {
		$votes = $rows." ".$locale['r134']."";
	} else {
		$votes = $rows." ".$locale['r132']."";
	}
	return $votes;
}

function showstarratings($rtype, $id) {
	global $show5, $showPerc, $showVotes, $static, $user, $userdata, $locale;
	
	$show5 = false; $showPerc = false; $showVotes = false; $static = NULL;
	
	opentable($locale['r100']);
	
	add_to_head('<link href="'.INCLUDES.'downloads_includes/ratings/css/rating_style.css" rel="stylesheet" type="text/css" media="all" />');
	add_to_head('<script type="text/javascript" src="'.INCLUDES.'downloads_includes/ratings/js/rating_update.js"></script>');
	
	if (iMEMBER) { $user = $userdata['user_id']; } else { $user = "0"; }
$sel = dbarray(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id = '".$id."' AND rating_type='".$rtype."' AND rating_user='".$user."'"));
 
	
	if(iGUEST || $sel['rating_user'] == $userdata['user_id']) {
		echo "<table class='tbl2' cellspacing='0' border='0' width='100%' style='margin: 0.7em 0em 0.7em 0em;'>\n";
		echo "	<tr>\n";
		echo "		<td width='50%' align='right' valign='middle'>\n";
		echo "			<div class='rated_text'>\n";
		echo "				<strong>".$locale['r130']."</strong> \n";
		echo "				(".$locale['r131']." <span id='showvotes_".$id."' class='votesClass'>".getVotes($id, $rtype)."</span>)\n";
		echo "				<span>&nbsp;&nbsp;</span>\n";
		echo "			</div>\n";
		echo "		</td>\n";
		echo "		<td width='50%' align='left'>\n";
		echo "			<ul class='star-rating2' id='rater_".$id."'>\n";
		echo "				<li class='current-rating' style='width:".getRating($id, $rtype).";' id='ul_".$id."'></li>\n";
		echo "				<li><a onclick='return true;' href='#' title='1 ".$locale['r683']." 5' class='one-star'>1</a></li>\n";
		echo "				<li><a onclick='return true;' href='#' title='2 ".$locale['r684']." 5' class='two-stars'>2</a></li>\n";
		echo "				<li><a onclick='return true;' href='#' title='3 ".$locale['r684']." 5' class='three-stars'>3</a></li>\n";
		echo "				<li><a onclick='return true;' href='#' title='4 ".$locale['r684']." 5' class='four-stars'>4</a></li>\n";
		echo "				<li><a onclick='return true;' href='#' title='5 ".$locale['r684']." 5' class='five-stars'>5</a></li>\n";
		echo "			</ul>\n";
		echo "		</td>\n";
		echo "	</tr>\n";
		echo "</table>\n";
		echo "<div align='center' id='loading_".$id."'></div><br />\n";
		echo "<table cellpadding='0' width='100%' cellspacing='1' class='tbl2 center'>\n";
		echo "	<tr>\n";
		echo "		<td class='tbl2'><center><strong>".$locale['r135']."</strong>".outOfFive($id, $rtype)." ".$locale['r136']."</center></td>\n";
		echo "	</tr>\n";
		echo "</table>\n";
		if (!iMEMBER) {
			echo "<div style='text-align:center'>".$locale['r104']."</div>\n";
		} 
	
	} else {
		$show5bool = 'false'; $showPercbool = 'false'; $showVotesbool = 'false';
		echo "<table class='tbl2' cellspacing='0' border='0' width='100%' style='margin: 0.7em 0em 0.7em 0em;'>\n";
		echo "	<tr>\n";
		echo "		<td width='50%' align='right'>\n";
	    echo "			<div class='rated_text'>\n";
		echo "				<strong>".$locale['r130']."</strong> \n";
		echo "				(".$locale['r131']." <span id='showvotes_".$id."' class='votesClass'>".getVotes($id, $rtype)."</span>)\n";
		echo "				<span>&nbsp;&nbsp;</span>\n";
		echo "			</div>\n";
		echo "		</td>\n";
		echo "		<td width='50%' align='left'>\n";
		echo "			<ul class='star-rating' id='rater_".$id."'>";
		echo "				<li class='current-rating' style='width:".getRating($id, $rtype).";' id='ul_".$id."'></li>";
		echo "				<li><a name='rate' onclick='rate(\"1\",\"".$id."\",".$show5bool.",".$showPercbool.",".$showVotesbool.",\"".$rtype."\",\"".INCLUDES."downloads_includes/ratings/"."\"); return false;' href='".INCLUDES."downloads_includes/ratings/rating_process.php?id=".$id."&amp;rating=1&amp;rtype=".$rtype."&amp;ratedir=".INCLUDES."downloads_includes/ratings/' title='1 ".$locale['r683']." 5' class='one-star'>1</a></li>";
		echo "				<li><a name='rate' onclick='rate(\"2\",\"".$id."\",".$show5bool.",".$showPercbool.",".$showVotesbool.",\"".$rtype."\",\"".INCLUDES."downloads_includes/ratings/"."\"); return false;' href='".INCLUDES."downloads_includes/ratings/rating_process.php?id=".$id."&amp;rating=2&amp;rtype=".$rtype."&amp;ratedir=".INCLUDES."downloads_includes/ratings/' title='2 ".$locale['r684']." 5' class='two-stars'>2</a></li>";
		echo "				<li><a name='rate' onclick='rate(\"3\",\"".$id."\",".$show5bool.",".$showPercbool.",".$showVotesbool.",\"".$rtype."\",\"".INCLUDES."downloads_includes/ratings/"."\"); return false;' href='".INCLUDES."downloads_includes/ratings/rating_process.php?id=".$id."&amp;rating=3&amp;rtype=".$rtype."&amp;ratedir=".INCLUDES."downloads_includes/ratings/' title='3 ".$locale['r684']." 5' class='three-stars'>3</a></li>";
		echo "				<li><a name='rate' onclick='rate(\"4\",\"".$id."\",".$show5bool.",".$showPercbool.",".$showVotesbool.",\"".$rtype."\",\"".INCLUDES."downloads_includes/ratings/"."\"); return false;' href='".INCLUDES."downloads_includes/ratings/rating_process.php?id=".$id."&amp;rating=4&amp;rtype=".$rtype."&amp;ratedir=".INCLUDES."downloads_includes/ratings/' title='4 ".$locale['r684']." 5' class='four-stars'>4</a></li>";
		echo "				<li><a name='rate' onclick='rate(\"5\",\"".$id."\",".$show5bool.",".$showPercbool.",".$showVotesbool.",\"".$rtype."\",\"".INCLUDES."downloads_includes/ratings/"."\"); return false;' href='".INCLUDES."downloads_includes/ratings/rating_process.php?id=".$id."&amp;rating=5&amp;rtype=".$rtype."&amp;ratedir=".INCLUDES."downloads_includes/ratings/' title='5 ".$locale['r684']." 5' class='five-stars'>5</a></li>";
		echo "			</ul>\n";
		echo "		</td>\n";
		echo "	</tr>\n";
		echo "</table>\n";
		echo "<div align='center' id='loading_".$id."'></div><br />\n";
		echo "<table cellpadding='0' width='100%' cellspacing='1' class='tbl2 center'>\n";
		echo "	<tr>\n";
		echo "		<td class='tbl2'><div style='text-align: center;'><strong>".$locale['r135']."</strong>".outOfFive($id, $rtype)." ".$locale['r136']."</div></td>\n";
		echo "	</tr>\n";
		echo "</table>\n";
		if (!iMEMBER) {
			echo "<div style='text-align:center'>".$locale['r104']."</div>\n";
		} 
	
	}
	closetable();
}

?>